/**
 * Created by Oleksandr Tserkovnyi on 06.07.15.
 */

var gulp = require('gulp');
var concat = require('gulp-concat');
var uglify = require('gulp-uglify');

gulp.task('build:js', function () {
  return gulp.src([
      './bower_components/switchery/dist/switchery.js',
      './bower_components/ng-switchery/src/ng-switchery.js'
    ])
    .pipe(concat('ng-switchery.js'))
    .pipe(uglify())
    .pipe(gulp.dest('./dist/'));
});

gulp.task('build:css', function () {
  return gulp.src('./bower_components/switchery/dist/switchery.min.css')
    .pipe(gulp.dest('./dist/'));
});

gulp.task('default', ['build:js', 'build:css']);